Bug 619635 - RHUA monitoring is trying access the cds list in the wrong dir
Summary: RHUA monitoring is trying access the cds list in the wrong dir
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA   
(Show other bugs)
Version: 1.1
Hardware: All Linux
low
medium
Target Milestone: ---
: ---
Assignee: Jay Dobies
QA Contact: wes hayutin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-30 01:45 UTC by wes hayutin
Modified: 2012-05-31 12:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 12:55:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description wes hayutin 2010-07-30 01:45:52 UTC
looking at my http access logs I think its pretty clear that the rhua monitoring is looking for the cds mirror list in the wrong directory.

Notice the ip and the difference in the path for the "cds" file


127.0.0.1 - - [29/Jul/2010:21:16:01 -0400] "GET /pub/rhel-x86_64-server-5/cds HTTP/1.1" 404 301 "-" "-"
10.161.107.119 - - [29/Jul/2010:21:17:06 -0400] "GET /pub/content/dist/rhel/server/5Server/x86_64/os/cds HTTP/1.1" 404 362 "-" "urlgrabber/3.1.0 yum/3.2.22"
10.161.107.119 - - [29/Jul/2010:21:17:13 -0400] "GET /pub/content/dist/rhel/server/5Server/x86_64/os/cds HTTP/1.1" 404 362 "-" "urlgrabber/3.1.0 yum/3.2.22"
10.161.107.119 - - [29/Jul/2010:21:17:26 -0400] "GET /pub/content/dist/rhel/server/5Server/x86_64/os/cds HTTP/1.1" 200 200 "-" "urlgrabber/3.1.0 yum/3.2.22"
127.0.0.1 - - [29/Jul/2010:21:18:02 -0400] "GET /pub/rhel-i386-server-5/cds HTTP/1.1" 404 299 "-" "-"
127.0.0.1 - - [29/Jul/2010:21:18:02 -0400] "GET /pub/rhel-x86_64-server-5/cds HTTP/1.1" 404 301 "-" "-"
127.0.0.1 - - [29/Jul/2010:21:20:01 -0400] "GET /pub/rhel-i386-server-5/cds HTTP/1.1" 404 299 "-" "-"
127.0.0.1 - - [29/Jul/2010:21:20:01 -0400] "GET /pub/rhel-x86_64-server-5/cds HTTP/1.1" 404 301 "-" "-"
127.0.0.1 - - [29/Jul/2010:21:22:01 -0400] "GET /pub/rhel-i386-server-5/cds HTTP/1.1" 404 299 "-" "-"
127.0.0.1 - - [29/Jul/2010:21:22:01 -0400] "GET /pub/rhel-x86_64-server-5/cds HTTP/1.1" 404 301 "-" "-"
127.0.0.1 - - [29/Jul/2010:21:24:02 -0400] "GET /pub/rhel-i386-server-5/cds HTTP/1.1" 404 299 "-" "-"
127.0.0.1 - - [29/Jul/2010:21:24:02 -0400] "GET /pub/rhel-x86_64-server-5/cds HTTP/1.1" 404 301 "-" "-"
127.0.0.1 - - [29/Jul/2010:21:26:01 -0400] "GET /pub/rhel-i386-server-5/cds HTTP/1.1" 404 299 "-" "-"

Comment 1 Jay Dobies 2010-07-30 14:00:27 UTC
commit	3c1b424fca28a0ef094cbf2f02f5b3d179a294d1
tree	e03ee6e9d9cc51766b4c91d5e939eb1aae692483


619635 - Heartbeat was using the channel name instead of the URL to look for the mirror list.


rhui/rhua/src/rhua/monitor.py

Comment 2 wes hayutin 2010-08-03 19:42:32 UTC
verified
127.0.0.1 - - [03/Aug/2010:15:40:01 -0400] "GET /pub/content/dist/rhel/server/5Server/x86_64/os/cds HTTP/1.1" 200 188 "-" "-"

Comment 3 wes hayutin 2011-08-01 21:39:45 UTC
moving to release pending

Comment 4 wes hayutin 2012-05-31 12:55:02 UTC
closing out, product released


Note You need to log in before you can comment on or make changes to this bug.